### Hierarchy

- SpeechGrammarList

### Indexable

[index: number]: SpeechGrammar

## Index

### Properties

- length

### Methods

- addFromString
- addFromURI
- item

## Properties

### length

length: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14343

## Methods

### addFromString

- addFromString(string: string, weight?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14344

  #### Parameters

  - ##### string: string

  - ##### Optional weight: undefined | number

  #### Returns void

### addFromURI

- addFromURI(src: string, weight?: undefined | number): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14345

  #### Parameters

  - ##### src: string

  - ##### Optional weight: undefined | number

  #### Returns void

### item

- item(index: number): SpeechGrammar

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:14346

  #### Parameters

  - ##### index: number

  #### Returns SpeechGrammar

Generated using TypeDoc